{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Edit Post{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'upload.css' %}">
{% endblock %}

{% block content %}
<h1 class="text-center pt-4">Edit Pet</h1>
<div class="container py-4"><form method="POST" enctype="multipart/form-data"> {% csrf_token %}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_pet_name">Pet name:</label>
                <input class="form-control" type="text" name="pet_name" maxlength="50" required="" id="id_pet_name" value="{{ pet.pet_name }}">
            </div>
            
            <div class="form-group">
                <label for="id_pet_type">Pet type:</label>
                <select class="form-control" name="pet_type" id="id_pet_type">
                    <option value="" selected="">---------</option>
                    <option value="Cat">Cat</option>
                    <option value="Dog">Dog</option>
                    <option value="Other">Other</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_breed">Pet breed:</label>
                <input class="form-control" type="text" name="pet_breed" maxlength="50" required="" id="id_pet_breed" value="{{ pet.pet_breed }}">
            </div>
            
            <div class="form-group">
                <label for="id_pet_gender">Pet gender:</label>
                <select class="form-control" name="pet_gender" id="id_pet_gender">
                    <option value="" selected="">---------</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_pet_size">Pet size:</label>
                <select class="form-control" name="pet_size" id="id_pet_size">
                    <option value="" selected="">---------</option>
                    <option value="Small">Small</option>
                    <option value="Medium">Medium</option>
                    <option value="Large">Large</option>
                    <option value="XL">XL</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_age">Pet age:</label>
                <select class="form-control" name="pet_age" id="id_pet_age">
                    <option value="" selected="">---------</option>
                    <option value="Young">Young</option>
                    <option value="Adult">Adult</option>
                    <option value="Senior">Senior</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_health">Pet health:</label>
                <input class="form-control" type="text" name="pet_health" maxlength="50" required="" id="id_pet_health" value="{{ pet.pet_health }}">
            </div>

            <div class="form-group">
                <label for="id_adoption_fee">Pet photo:</label><br>
                <input type="file" name="photo" accept="image/*" id="id_photo">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="form-group">
                <label for="id_adoption_fee">Adoption fee:</label>
                <input class="form-control" type="text" name="adoption_fee" maxlength="50" required="" id="id_adoption_fee" value="{{ pet.adoption_fee }}">
            </div>

            <div class="form-group">
                <label for="id_description">Description:</label>
                <textarea class="form-control" name="description" rows="5" maxlength="500" required="" id="id_description">{{ pet.description }}</textarea>
            </div>
            <button class="btn orange-btn w-100" type="submit">Submit</button>
        </div>
    </div>
</form></div>
{% endblock %}
